/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package beans;

import javax.faces.event.ActionEvent;
import com.corejsf.util.Messages;

/**
 *
 * @author CNOC
 */
public class WelcomeBean {

    private String txt;

    public void setTxt(String txt) {
        this.txt = txt;
    }

    public String getTxt() {
        return txt;
    }

    public void setOutput(ActionEvent ae) {
        if (ae.getComponent().getId().equals("a1")) {
            txt = Messages.getMessage("com.corejsf.messages", "exp1").getSummary();
        }
        if (ae.getComponent().getId().equals("a2")) {
            txt = Messages.getMessage("com.corejsf.messages", "exp2").getSummary();
        }
        if (ae.getComponent().getId().equals("a3")) {
            txt = Messages.getMessage("com.corejsf.messages", "exp3").getSummary();
        }
        if (ae.getComponent().getId().equals("a4")) {
            txt = Messages.getMessage("com.corejsf.messages", "exp4").getSummary();
        }
        if (ae.getComponent().getId().equals("a5")) {
            txt = Messages.getMessage("com.corejsf.messages", "exp5").getSummary();
        }
        if (ae.getComponent().getId().equals("a6")) {
            txt = Messages.getMessage("com.corejsf.messages", "exp6").getSummary();
        }
        if (ae.getComponent().getId().equals("a7")) {
            txt = Messages.getMessage("com.corejsf.messages", "exp7").getSummary();
        }

    }
}
